[Overview][Types][Classes][Index] | Reference for unit 'PropertyStorage' (#lcl)

# TCustomPropertyStorage.DoReadInteger

Reads an integer value stored as a string.

## Declaration

Source position: propertystorage.pas line 138

`protected function TCustomPropertyStorage.DoReadInteger(`
`const Section: string;`
`const Ident: string;`
`DefaultValue: Integer`
`):Integer; virtual;`

## Arguments

`Section` |  | Section where the value for the specified identifier is stored.
`Ident` |  | Identifier or name for the value read in the method.
`DefaultValue` |  | Default used as the return value when the identifier is not found in the specified section.

## Function result

Integer value for the identifier read from the specified section.